# cyclonedx.exception.output

Exceptions that are for specific error scenarios during the output of a Model to a SBOM.

## Exceptions

`BomGenerationErrorException` | Raised if there is an unknown error.
`FormatNotSupportedException` | Exception raised when attempting to output a BOM to a format not supported in the requested version.

## Module Contents

exception cyclonedx.exception.output.BomGenerationErrorException

  Bases: `cyclonedx.exception.CycloneDxException`

  Raised if there is an unknown error.

exception cyclonedx.exception.output.FormatNotSupportedException

  Bases: `cyclonedx.exception.CycloneDxException`

  Exception raised when attempting to output a BOM to a format not supported in the requested version.

  For example, JSON is not supported prior to 1.2.